Skip Menu |
 

This queue is for tickets about the Devel-CheckLib CPAN distribution.

Report information
The Basics
Id: 108493
Status: new
Priority: 0/
Queue: Devel-CheckLib

People
Owner: Nobody in particular
Requestors: bkb [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: If the script is deprecated, why is it documented at the top of the documentation?
Download (untitled) / with headers
text/plain 578b
If the script is deprecated, then why does the first line of the documentation tell people to use it: ---------- =head1 USING IT IN Makefile.PL or Build.PL If you want to use this from Makefile.PL or Build.PL, do not simply copy the module into your distribution as this may cause problems when PAUSE and search.cpan.org index the distro. Instead, use the use-devel-checklib script. ----------- It's pretty ridiculous for the very start of the documentation to tell people they need to use a script, then for the script to tell people they shouldn't have used the script.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.